---
updatedAt: 2026-04-21T04:46:34.000Z
agentTools:
  projectIndex: https://developer.alloy.com/public/llms.txt
---

# Get list of Investigation types

Retrieves a filterable paginated list of investigation types

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Alloy API",
    "version": "1.0.0",
    "description": "hey hey hey, it's the Alloy API!"
  },
  "servers": [
    {
      "url": "https://sandbox.alloy.co/v1",
      "description": "Sandbox endpoint"
    }
  ],
  "security": [
    {
      "oauth2": []
    },
    {
      "basic": []
    }
  ],
  "tags": [
    {
      "name": "Investigations",
      "description": "Investigations are reviewable items that contain Alerts for suspicious activities for Alloy's Ongoing Monitoring solution."
    }
  ],
  "paths": {
    "/investigations/types": {
      "get": {
        "summary": "Get list of Investigation types",
        "description": "Retrieves a filterable paginated list of investigation types",
        "tags": [
          "Investigations"
        ],
        "parameters": [
          {
            "in": "query",
            "name": "q",
            "schema": {
              "type": "object",
              "description": "Object to hold the investigation filters",
              "properties": {
                "archived": {
                  "type": "boolean",
                  "description": "E.g. `true`"
                }
              }
            }
          },
          {
            "in": "query",
            "name": "pageNum",
            "schema": {
              "type": "number",
              "description": "Which page number to return. Default is 1",
              "default": 1
            }
          },
          {
            "in": "query",
            "name": "numRowsPerPage",
            "schema": {
              "type": "number",
              "description": "Limits results per page. Up to 100.",
              "default": 20
            }
          },
          {
            "in": "query",
            "name": "sortColumn",
            "description": "Omit to sort by the order Investigation types were created, descending.",
            "schema": {
              "type": "string",
              "enum": [
                "name",
                "use_case",
                "journeys_count"
              ]
            }
          },
          {
            "in": "query",
            "name": "sortOrder",
            "schema": {
              "type": "string",
              "enum": [
                "DESC",
                "ASC"
              ],
              "default": "DESC"
            }
          },
          {
            "in": "query",
            "name": "onlyPermittedTypes",
            "schema": {
              "type": "boolean",
              "example": true
            }
          },
          {
            "in": "query",
            "name": "includeJourneys",
            "schema": {
              "type": "boolean",
              "example": true
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/GetInvestigationTypes"
                }
              }
            }
          },
          "400": {
            "description": "Missing required fields",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "$ref": "#/components/schemas/InvestigationMissingRequiredFieldsResponse"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InvestigationsUnauthorized"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "basic": {
        "type": "http",
        "description": "HTTP basic authorization using a workflow token and secret",
        "scheme": "basic"
      },
      "oauth2": {
        "type": "oauth2",
        "description": "Oauth2 using a workflow token and secret to generate a bearer token",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "/oauth/bearer",
            "scopes": {}
          }
        }
      }
    },
    "schemas": {
      "InvestigationsUnauthorized": {
        "properties": {
          "status_code": {
            "type": "string"
          },
          "error": {
            "type": "object"
          },
          "timestamp": {
            "type": "string"
          },
          "evaluation_token": {
            "type": "string"
          },
          "entity_token": {
            "type": "string"
          },
          "application_token": {
            "type": "string"
          },
          "application_version_id": {
            "type": "string"
          }
        },
        "example": {
          "status_code": 401,
          "error": {
            "minor_code": 4013,
            "type": "Authorization Error",
            "message": "You are not authorized to operate on the specified object or it does not exist.",
            "details": {
              "entity_token_or_external_id": "provided-token"
            },
            "error_token": "u82hfowjwl"
          },
          "timestamp": 1652205025227,
          "evaluation_token": null,
          "entity_token": null,
          "application_token": null,
          "application_version_id": null
        }
      },
      "InvestigationMissingRequiredFieldsResponse": {
        "properties": {
          "status_code": {
            "type": "string"
          },
          "error": {
            "type": "object"
          },
          "timestamp": {
            "type": "string"
          },
          "evaluation_token": {
            "type": "string"
          },
          "entity_token": {
            "type": "string"
          },
          "application_token": {
            "type": "string"
          },
          "application_version_id": {
            "type": "string"
          }
        },
        "example": {
          "status_code": 400,
          "error": {
            "minor_code": 4002,
            "type": "Request Body Validation Failure",
            "message": "Your request body contained invalid field(s)",
            "details": {
              "message": "\"required_field\" is required",
              "path": "required_field",
              "type": "any.required",
              "context": {
                "key": "required_field"
              }
            },
            "error_token": "u82hfowjwl"
          },
          "timestamp": 1652205025227,
          "evaluation_token": null,
          "entity_token": null,
          "application_token": null,
          "application_version_id": null
        }
      },
      "GetInvestigationTypes": {
        "type": "object",
        "properties": {
          "investigation_types": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "investigationTypeId": {
                  "type": "number",
                  "example": 1
                },
                "name": {
                  "type": "string",
                  "example": "Alert Review"
                },
                "description": {
                  "type": "string",
                  "example": "JAs alerted"
                },
                "archivedAt": {
                  "type": "string",
                  "format": "date-time",
                  "example": "2024-12-05T20:05:43.643Z"
                },
                "isBeingUsed": {
                  "type": "boolean",
                  "example": true
                },
                "useCase": {
                  "type": "string",
                  "example": "Fraud"
                }
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false
  }
}
```